Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039722
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] StoreServermajorhave not tried2018-11-30 10:092018-12-10 16:24
ReporterioritzCiaView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision67aa141aacbf
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version8
OS VersionCentOS 6.9Database version9.5Ant version1.9
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039722: Synchronizaiton gets broken with location of organization information or warehouse tab

DescriptionSynchronization gets broken with this message:

The ad_orginfo table is getting synchronized to all store servers and it's c_location_id does not
ERROR: insert or update on table "ad_orginfo" violates foreign key constraint "c_location_ad_orginfo"
  Detail: Key (c_location_id)=(9B0DBDA13B46433E91BB20AD8DB5E485) is not present in table "c_location"
Steps To ReproduceThere are no steps yet
This happens because the address is created first in the backoffice flow. The address is then stored in the db. At this point it is not yet linked to an org, so not synced.
When the warehouse record is saved the system tries to sync it, but the address is not synced as at that point that record is not changed.
Proposed SolutionAdd a trigger to the m_warehouse and ad_orginfo table to touch the related c_location record in the same transaction.
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2018-12-04 20-52-20.png [^] (124,066 bytes) 2018-12-04 22:51

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108265)
hgbot (developer)
2018-12-05 09:13

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 67aa141aacbf12c8f81b5424bc69a273b472bacd
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Dec 05 09:13:05 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/67aa141aacbf12c8f81b5424bc69a273b472bacd [^]

Fixes issue 39722: Synchronizaiton gets broken with location of organization information or warehouse tab
use a trigger to force syncing the c_location before its dependent record

---
A src-db/database/model/triggers/OBSTSYN_UPDATE_BPLOC_TRG.xml
A src-db/database/model/triggers/OBSTSYN_UPDATE_ORGLOC_TRG.xml
A src-db/database/model/triggers/OBSTSYN_UPDATE_WHLOC_TRG.xml
---
(0108325)
hgbot (developer)
2018-12-07 11:55

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 0ecc51f88a6f2e91ae5a79a95e7f51daee2b308c
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Dec 07 11:55:47 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/0ecc51f88a6f2e91ae5a79a95e7f51daee2b308c [^]

Related to issue 39722: Synchronizaiton gets broken with location of organization information or warehouse tab
Solve formatting error

---
M src-db/database/model/triggers/OBSTSYN_UPDATE_BPLOC_TRG.xml
M src-db/database/model/triggers/OBSTSYN_UPDATE_ORGLOC_TRG.xml
M src-db/database/model/triggers/OBSTSYN_UPDATE_WHLOC_TRG.xml
---
(0108342)
mtaal (manager)
2018-12-08 22:28

Additional push:
https://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/70ffe5d61be4 [^]
(0108349)
mtaal (manager)
2018-12-09 22:25

Added test
http://code.openbravo.com/tools/automation/pi-mobile/rev/22011f880e13920c6bbf3fcee781cab749338295 [^]
(0108369)
AugustoMauch (developer)
2018-12-10 16:24

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2018-11-30 10:09 ioritzCia New Issue
2018-11-30 10:09 ioritzCia Assigned To => StoreServer
2018-11-30 10:09 ioritzCia Triggers an Emergency Pack => No
2018-12-02 21:40 mtaal Assigned To StoreServer => mtaal
2018-12-04 22:51 mtaal Summary Synchronizaiton gets broken with location of organization information tab => Synchronizaiton gets broken with location of organization information or warehouse tab
2018-12-04 22:51 mtaal Steps to Reproduce Updated View Revisions
2018-12-04 22:51 mtaal Proposed Solution updated
2018-12-04 22:51 mtaal File Added: Screenshot from 2018-12-04 20-52-20.png
2018-12-05 09:13 hgbot Checkin
2018-12-05 09:13 hgbot Note Added: 0108265
2018-12-05 09:13 hgbot Status new => resolved
2018-12-05 09:13 hgbot Resolution open => fixed
2018-12-05 09:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/67aa141aacbf12c8f81b5424bc69a273b472bacd [^]
2018-12-07 11:55 hgbot Checkin
2018-12-07 11:55 hgbot Note Added: 0108325
2018-12-08 22:28 mtaal Note Added: 0108342
2018-12-09 22:06 mtaal Review Assigned To => AugustoMauch
2018-12-09 22:25 mtaal Note Added: 0108349
2018-12-10 16:24 AugustoMauch Note Added: 0108369
2018-12-10 16:24 AugustoMauch Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker